using System;
using System.Collections.Generic;
using Server.Items;

namespace Server.Mobiles
{
	public class SBArchitect : SBInfo
	{
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBArchitect()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : List<GenericBuyInfo>
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( "1041280", typeof( InteriorDecorator ), 500, 20, 0x1EBA, 0 ) );
				Add( new GenericBuyInfo( "1060651", typeof( HousePlacementTool ), 25, 20, 0x14F0, 0 ));
				Add( new GenericBuyInfo( typeof( LadderEastAddonDeed ), 800, 10, 0x3DB5, 0 ) );
				Add( new GenericBuyInfo( typeof( LadderSouthAddonDeed ), 800, 10, 0x3DB4, 0 ) );
				Add( new GenericBuyInfo( typeof( MyTentEastAddonDeed ), 1200, 10, 0xA59, Utility.RandomHue() ) );
				Add( new GenericBuyInfo( typeof( MyTentSouthAddonDeed ), 1200, 10, 0xA59, Utility.RandomHue() ) );
				Add( new GenericBuyInfo( typeof( HouseSignAlchemy ), 120, 10, 0x0BC5, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignArchery ), 120, 10, 0x0BCD, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignArms ), 120, 10, 0x0908, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignBard ), 120, 10, 0x0BBB, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignBowyer ), 120, 10, 0x0BBD, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignBrass ), 120, 10, 0x0BD1, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignButcher ), 120, 10, 0x0BA9, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignCarpenter ), 120, 10, 0x0BAF, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignDocks ), 120, 10, 0x0906, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignFisherman ), 120, 10, 0x0B3B, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignFood ), 120, 10, 0x0BA3, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignGold ), 120, 10, 0x0C0B, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignHealer ), 120, 10, 0x0BAB, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignHerbalist ), 120, 10, 0x0A96, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignInn ), 120, 10, 0x0BB3, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignJewels ), 120, 10, 0x0BC1, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignLibrary ), 120, 10, 0x0B95, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignMage ), 120, 10, 0x0BAD, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignMaps ), 120, 10, 0x0BB1, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignMiner ), 120, 10, 0x0AA7, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignProvisions ), 120, 10, 0x0BCB, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignShipbuilder ), 120, 10, 0x0BB5, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignSmithing ), 120, 10, 0x0BC7, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignStable ), 120, 10, 0x0BB7, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignTailor ), 120, 10, 0x0BA5, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignTavern ), 120, 10, 0x0BC3, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignTinker ), 120, 10, 0x0BA7, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignWeapons ), 120, 10, 0x0BBF, 0 ) );
				Add( new GenericBuyInfo( typeof( HouseSignWooden ), 120, 10, 0x0BCF, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				Add( typeof( InteriorDecorator ), 5000 );
				Add( typeof( HousePlacementTool ), 301 );
				Add( typeof( MyTentEastAddonDeed ), 600 );
				Add( typeof( MyTentSouthAddonDeed ), 600 );
				Add( typeof( LadderEastAddonDeed ), 400 );
				Add( typeof( LadderSouthAddonDeed ), 400 );
				Add( typeof( HouseSignAlchemy ), 60 );
				Add( typeof( HouseSignArchery ), 60 );
				Add( typeof( HouseSignArms ), 60 );
				Add( typeof( HouseSignBard ), 60 );
				Add( typeof( HouseSignBowyer ), 60 );
				Add( typeof( HouseSignBrass ), 60 );
				Add( typeof( HouseSignButcher ), 60 );
				Add( typeof( HouseSignCarpenter ), 60 );
				Add( typeof( HouseSignDocks ), 60 );
				Add( typeof( HouseSignFisherman ), 60 );
				Add( typeof( HouseSignFood ), 60 );
				Add( typeof( HouseSignGold ), 60 );
				Add( typeof( HouseSignHealer ), 60 );
				Add( typeof( HouseSignHerbalist ), 60 );
				Add( typeof( HouseSignInn ), 60 );
				Add( typeof( HouseSignJewels ), 60 );
				Add( typeof( HouseSignLibrary ), 60 );
				Add( typeof( HouseSignMage ), 60 );
				Add( typeof( HouseSignMaps ), 60 );
				Add( typeof( HouseSignMiner ), 60 );
				Add( typeof( HouseSignProvisions ), 60 );
				Add( typeof( HouseSignShipbuilder ), 60 );
				Add( typeof( HouseSignSmithing ), 60 );
				Add( typeof( HouseSignStable ), 60 );
				Add( typeof( HouseSignTailor ), 60 );
				Add( typeof( HouseSignTavern ), 60 );
				Add( typeof( HouseSignTinker ), 60 );
				Add( typeof( HouseSignWeapons ), 60 );
				Add( typeof( HouseSignWooden ), 60 );
			}
		}
	}
}